## org.apache.aries.subsystem.core.internal
Class SubsystemResourceInstaller

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ResourceInstaller
          org.apache.aries.subsystem.core.internal.SubsystemResourceInstaller

    public class SubsystemResourceInstaller

extends ResourceInstaller

Field Summary

Fields inherited from class org.apache.aries.subsystem.core.internal.ResourceInstaller
`coordination, provisionTo, resource, subsystem`

Constructor Summary
`SubsystemResourceInstaller(org.osgi.service.coordinator.Coordination coordination, org.osgi.resource.Resource resource, BasicSubsystem subsystem)`

Method Summary
`org.osgi.resource.Resource` `install()`

Methods inherited from class org.apache.aries.subsystem.core.internal.ResourceInstaller
`addConstituent, addReference, getLocation, isContent, isDependency, isReferencedProvisionTo, isReferencedSubsystem, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemResourceInstaller

    public SubsystemResourceInstaller(org.osgi.service.coordinator.Coordination coordination,
                                      org.osgi.resource.Resource resource,
                                      BasicSubsystem subsystem)

Method Detail

### install

    public org.osgi.resource.Resource install()
                                       throws Exception

  Specified by:
    `install` in class `ResourceInstaller`
  Throws:
    `Exception`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.